Package de.willuhn.jameica.hbci.synchronize.jobs

# Class SynchronizeJobSepaDauerauftragDelete

java.lang.Object
de.willuhn.jameica.hbci.synchronize.jobs.AbstractSynchronizeJob
de.willuhn.jameica.hbci.synchronize.jobs.SynchronizeJobSepaDauerauftragDelete

All Implemented Interfaces:
  `SynchronizeJob`

Direct Known Subclasses:
  `HBCISynchronizeJobSepaDauerauftragDelete`

public class SynchronizeJobSepaDauerauftragDelete extends AbstractSynchronizeJob
Standard-Job zum Loeschen eines SEPA-Dauerauftrages.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`CTX_DATE`
Context-Key fuer das Ziel-Datum zum Loeschen des Dauerauftrages.

### Fields inherited from class de.willuhn.jameica.hbci.synchronize.jobs.AbstractSynchronizeJob

`i18n`

### Fields inherited from interface de.willuhn.jameica.hbci.synchronize.jobs.SynchronizeJob

`CTX_ENTITY`

## Constructor Summary

Constructors
Constructor
Description
`SynchronizeJobSepaDauerauftragDelete()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getName()`
Liefert einen sprechenden Namen fuer den Job.
`boolean`
`isRecurring()`
Prueft, ob es sich um einen wiederkehrenden Job handelt.

### Methods inherited from class de.willuhn.jameica.hbci.synchronize.jobs.AbstractSynchronizeJob

`configure, getContext, getKonto, setContext, setKonto`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### CTX_DATE

public static final String CTX_DATE
Context-Key fuer das Ziel-Datum zum Loeschen des Dauerauftrages. Der Wert des Keys muss vom Typ `Date` sein.

See Also:
  - Constant Field Values

## Constructor Details

### SynchronizeJobSepaDauerauftragDelete

public SynchronizeJobSepaDauerauftragDelete()

## Method Details

### getName

public String getName() throws de.willuhn.util.ApplicationException
Description copied from interface: `SynchronizeJob`
Liefert einen sprechenden Namen fuer den Job.

Specified by:
  `getName` in interface `SynchronizeJob`
Overrides:
  `getName` in class `AbstractSynchronizeJob`
Returns:
  sprechender Name.
Throws:
  `de.willuhn.util.ApplicationException`

### isRecurring

public boolean isRecurring()
Description copied from interface: `SynchronizeJob`
Prueft, ob es sich um einen wiederkehrenden Job handelt. Saldo- und Umsatzabfragen sind zBsp wiederkehrend, Ueberweisungen jedoch nicht. BUGZILLA 583

Returns:
  true, wenn es sich um einen wiederholenden Job handelt.